#370 closed defect (fixed)

RTEMS sys/queue.h clashes with newlib

Reported by: Ralf Corsepius Owned by: Eric Norum
Priority: highest Milestone: 2
Component: network/legacy Version: unknown
Severity: critical Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

newlib ships with a different (older?) version of BSD's sys/queue.h, which gets installed and used when building the toolchain.

This clashes with RTEMS libnetworking/sys/queue.h.

Worse, AFAIS, both versions seem to be incompatible, when using the private parts (The parts #ifdef'ed by KERNEL rsp. _KERNEL), like RTEMS does.

Release:
all

Attachments (1)

newlib-1.11.0-rtems-20030203.diff (24.7 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:12 PM.
newlib-1.11.0-rtems-20030203.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Apr 3, 2003 at 10:12:49 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Apr 10, 2003 at 3:43:55 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Fixed in gcc3.2.2newlib1.11.0-2 patch level.

Changed on Dec 3, 2006 at 1:31:12 PM by Ralf Corsepius

newlib-1.11.0-rtems-20030203.diff

Note: See TracTickets for help on using tickets.